Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.explorer
Class LeafExplorerTreeNode

    java.lang.Object
      edu.stanford.smi.protege.util.LazyTreeNode
          edu.stanford.smi.protegex.owl.ui.explorer.ExplorerTreeNode
              edu.stanford.smi.protegex.owl.ui.explorer.LeafExplorerTreeNode

All Implemented Interfaces:
  TreeNode

    public class LeafExplorerTreeNode

extends ExplorerTreeNode

Author:
  Holger Knublauch

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.ui.explorer.ExplorerTreeNode
`filter`

Constructor Summary
`LeafExplorerTreeNode(edu.stanford.smi.protege.util.LazyTreeNode parent, RDFSClass cls, ExplorerFilter filter)`

Method Summary
`protected List` | `createChildObjects()`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.explorer.ExplorerTreeNode
`createNode, dispose, getChildNode, getChildObjectCount, getChildObjects, getComparator, getRDFSClass, toString`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeNode
`childAdded, childAdded, childRemoved, children, compareTo, equals, getAllowsChildren, getChildAt, getChildCount, getIndex, getIndex, getLazyTreeNodeParent, getParent, getUserObject, getUserObjectIndex, isDuplicate, isLeaf, isSorted, loadChildObjects, notifyChildNodeAdded, notifyChildNodeRemoved, notifyNodeChanged, notifyNodeStructureChanged, reload, reload, setIsLoaded, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LeafExplorerTreeNode

    public LeafExplorerTreeNode(edu.stanford.smi.protege.util.LazyTreeNode parent,
                                RDFSClass cls,
                                ExplorerFilter filter)

Method Detail

### createChildObjects

    protected List createChildObjects()

  Specified by:
    `createChildObjects` in class `ExplorerTreeNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.